Subject: Re: bug#7800: automake fails to honor `-d' in AM_YFLAGS when variable expansions are involved

From: Ralf Wildenhues <[email-masked]>
Date: Sat, 8 Jan 2011 19:24:43 +0100

* Ralf Corsepius wrote on Sat, Jan 08, 2011 at 04:26:11AM CET:
> On 01/07/2011 07:53 PM, Ralf Wildenhues wrote:
> >* Ralf Corsepius wrote on Fri, Jan 07, 2011 at 05:52:54PM CET:
> >>On 01/07/2011 03:36 PM, Stefano Lattarini wrote:
> >>>Currently, automake is not smart enough to resolve variable expansions
> >>>in AM_YFLAGS (or foo_YFLAGS) when scanning them for the `-d' flag.
> >>This once used to work
> >>
> >>=>  regression.
> >Please, if you make such a statement, include more details: whether you
> >know of an Automake version where this used to work, or have code
> >examples where it did (including a pointer to the code), or have just
> >tried the sample code from the PR.
> Well, I would have to dig out ca. 10 years old works, which had
> exploited this.
> 
> I also recall having reported issues with automake's "yacc -d"
> handling to Akim when he was maintaining automake and him having
> worked on it.
> 
> I also recall me having abandoned using automake's YACC rules in my
> works, because it repeatedly had been broken during automake's
> history.

Thanks.  All of the above information would have made the first post
more helpful already.  For example, it is very helpful to know whether
something is a recent regression or not; not only for classifying the
severity, but also checking for other similar glitches that may have
happened at the same time.

Cheers,
Ralf